Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw
Class Shell

    java.lang.Object
      rdlc.commands.Shell.Language
          rdlc.hw.Shell

Direct Known Subclasses:
  Shell

    public abstract class Shell

extends Shell.Language

This class encapsulates all of the functionality that one might wish for from an abstract hardware based RAMP shell project.

Version:
  $Revision: 1.10 $
Author:
  Greg Gibeling

Field Summary
`protected Declaration` | `rootDecl` The root declaration of this project, the shell module for the unit specified on the command line.

Fields inherited from class rdlc.commands.Shell.Language
`command, config, platform, unit`

Constructor Summary
`Shell(Shell _command, java.lang.String _config, Unit _unit, Platform _platform)`

Method Summary
`protected Module` | `generate(Unit _unit)` Generate the module shell for the given unit.

Methods inherited from class rdlc.commands.Shell.Language
`backEndPlugin, invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rootDecl

    protected Declaration rootDecl

  The root declaration of this project, the shell module for the unit specified on the command line.

Constructor Detail

### Shell

    public Shell(Shell _command,
                 java.lang.String _config,
                 Unit _unit,
                 Platform _platform)

See Also:
  `rdlc.commands.Shell.Language#Language(Shell, String, Unit, Platform)`

Method Detail

### generate

    protected Module generate(Unit _unit)

  Generate the module shell for the given unit. This is the worker method of hardware shell generation. It is responsible for creating all of the relevant parameters and ports.

  Parameters:
    `_unit` - The unit to create a shell for.
  Returns:
    The module which represents the unit shell.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD